For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Candidate object
          • GET/candidates
          • POST/candidates
          • GET/candidates/{id}
          • PATCH/candidates/{id}
          • POST/candidates/ignore/{model_id}
          • GET/candidates/meta/patch/{id}
          • GET/candidates/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsCandidates

/candidates/{id}

Beta
PATCH
/ats/v1/candidates/:id
PATCH
/api/ats/v1/candidates/:id
$curl -X PATCH https://api.merge.dev/api/ats/v1/candidates/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {},
> "remote_user_id": "string"
>}'
200Updated
1{
2 "model": {
3 "id": "521b18c2-4d01-4297-b451-19858d07c133",
4 "remote_id": "21198",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "first_name": "Gil",
8 "last_name": "Feig",
9 "company": "Columbia Dining App.",
10 "title": "Software Engineer",
11 "remote_created_at": "2021-10-15T00:00:00Z",
12 "remote_updated_at": "2021-10-16T00:00:00Z",
13 "last_interaction_at": "2021-10-17T00:00:00Z",
14 "is_private": true,
15 "can_email": true,
16 "locations": [
17 "San Francisco",
18 "New York",
19 "Miami"
20 ],
21 "phone_numbers": [
22 {
23 "value": "+1234567890",
24 "phone_number_type": "MOBILE"
25 }
26 ],
27 "email_addresses": [
28 {
29 "value": "hello@merge.dev",
30 "email_address_type": "PERSONAL"
31 }
32 ],
33 "urls": [
34 {
35 "value": "http://alturl.com/p749b",
36 "url_type": "BLOG"
37 }
38 ],
39 "tags": [
40 "High-Priority"
41 ],
42 "applications": [
43 "29eb9867-ce2a-403f-b8ce-f2844b89f078",
44 "b4d08e5c-de00-4d64-a29f-66addac9af99",
45 "4ff877d2-fb3e-4a5b-a7a5-168ddf2ffa56"
46 ],
47 "attachments": [
48 "bea08964-32b4-4a20-8bb4-2612ba09de1d"
49 ],
50 "remote_was_deleted": true,
51 "field_mappings": {
52 "organization_defined_targets": {
53 "custom_key": "custom_value"
54 },
55 "linked_account_defined_targets": {
56 "custom_key": "custom_value"
57 }
58 },
59 "remote_data": [
60 {
61 "path": "/candidates",
62 "data": null
63 }
64 ]
65 },
66 "warnings": [
67 {
68 "title": "Unrecognized Field",
69 "detail": "An unrecognized field, age, was passed in with request data.",
70 "problem_type": "UNRECOGNIZED_FIELD",
71 "source": {
72 "pointer": "/age"
73 },
74 "block_merge_link": true,
75 "raw_error": "string",
76 "error_code": 1
77 }
78 ],
79 "errors": [
80 {
81 "title": "Missing Required Field",
82 "detail": "custom_fields is a required field on model.",
83 "problem_type": "MISSING_REQUIRED_FIELD",
84 "source": {
85 "pointer": "/model/custom_fields"
86 },
87 "block_merge_link": true,
88 "raw_error": "string",
89 "error_code": 1
90 }
91 ],
92 "logs": [
93 {
94 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
95 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
96 "log_summary": {
97 "url": "www.exampleintegration.com/api/v1/exampleapi",
98 "method": "POST",
99 "status_code": 200
100 }
101 }
102 ]
103}

Updates a Candidate object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/candidates/{id}

Next

/candidates/ignore/{model_id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Candidate object is used to represent profile information about a given Candidate. Because it is specific to a Candidate, this information stays constant across applications.

Usage Example

Fetch from the LIST Candidates endpoint and filter by ID to show all candidates.

remote_user_idstringRequired

Response

modelobject

Description

The Candidate object is used to represent profile information about a given Candidate. Because it is specific to a Candidate, this information stays constant across applications.

Usage Example

Fetch from the LIST Candidates endpoint and filter by ID to show all candidates.

warningslist of objects
errorslist of objects
logslist of objects